Bug 288970 - Rename date format "Fancy format" to "Smart format"
Summary: Rename date format "Fancy format" to "Smart format"
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: config dialog (show other bugs)
Version: 4.7
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 14:48 UTC by Bernd Oliver Sünderhauf
Modified: 2013-07-29 07:48 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Oliver Sünderhauf 2011-12-14 14:48:52 UTC
Version:           4.7 (using KDE 4.7.3) 
OS:                Linux

Smart resp. fancy date formats (e.g. "Today") are used twice in Config->Appearance->Message List:
1. for the Date Display
2. for Smart Date Ranges grouping
however they are referred to in an inconsistent terminology.

While I know that Fancy date formats are called like this in KDElibs, it is more important to ensure a consistent use throughout KMail. And "smart" is certainly a better description than this mysterious word "fancy" with its many meanings.

Therefore I'd ask to name both consistently and to settle with "Smart date format" and "Samrt date ranges".

Reproducible: Always

Steps to Reproduce:
-


Expected Results:  
-
Comment 1 Laurent Montel 2013-07-29 07:47:57 UTC
Git commit 27de26ea4b3274a2bc1d2e7a5f8f1999a2c00e87 by Montel Laurent.
Committed on 29/07/2013 at 07:47.
Pushed by mlaurent into branch 'master'.

Fix Bug 288970 - Rename date format "Fancy format" to "Smart format"

FIXED-IN: 4.12

M  +1    -1    kmail/configuredialog/configuredialog.cpp
M  +4    -4    messagelist/core/manager.cpp

http://commits.kde.org/kdepim/27de26ea4b3274a2bc1d2e7a5f8f1999a2c00e87